package ru.ulstu.extractor;

import java.util.ArrayList;
import java.util.List;

public class FileChange {
    private String file;
    private boolean removed;
    private boolean added;
    private List<LineChange> lineChanges = new ArrayList<>();

    public FileChange() {
    }

    public FileChange(String file) {
        this.file = file;
    }

    public String getFile() {
        return file;
    }

    public boolean getRemoved() {
        return removed;
    }

    public boolean getAdded() {
        return added;
    }

    public List<LineChange> getLineChanges() {
        return lineChanges;
    }

    public void setFile(String file) {
        this.file = file;
    }

    public void setRemoved(boolean removed) {
        this.removed = removed;
    }

    public void setAdded(boolean added) {
        this.added = added;
    }

    public void setLineChanges(List<LineChange> lineChanges) {
        this.lineChanges = lineChanges;
    }
}
